﻿/* COULEURS & FONTS */
:root {
    --main-bg: #e6e6e6;
    --text: #000000;
    --white: #ffffff;
    --red: #f00e25;
    --orange: #f0700e;
    --pale-grey: #f7f7f7;
    --light-grey: #bebebe;
    --grey: #a2a2a2;
    --light-color: #8aa3dd;
    --color: #5f7db2;
    --dark-color: #30507a;
    --sans-serif: museo-sans, sans-serif;
    --sans-serif-cd: museo-sans-condensed, sans-serif;
    --serif: museo-sans, sans-serif;
    --medium-grey: #d8d8d8;
    --green: #18c704;
}


html {
    font-size:0.8rem;
    font-family: var(--sans-serif);
    height:100%;
}

html, body {
    width: 100%;
    margin:0;
    padding:0;
    background: var(--main-bg) !important;
    color: var(--text) !important;
    font-family: var(--sans-serif) !important;
    font-weight: 100 !important;
    line-height:1.2rem !important;
}


/* TEXTE */

p{
    margin:0.25rem 0;
}
a, a:link, a:hover, a:visited{
    text-decoration:none;
}
a:hover, span:hover, i:hover{
    cursor:pointer;
}
.mainMenu .menuItem.active{
    font-weight: 300;
}
.bold{
    font-weight: 700;
}
.small{
    font-size:0.9rem;
    line-height:1rem;
}
.titleLabel{
    color: var(--dark-color);
    font-weight:300;
    margin:0 0 1.5rem 0;
}
.textAlt {
    font-family:var(--serif);
    color: var(--color);
    font-weight:500;
}

.dark{
    color: var(--dark-color);
}
.alert{
    color: var(--red);
}
.valid{
    color: var(--green);
}
.mediumSize{
    font-size:1.25rem;
    line-height:1.4rem;
}
hr{
    background-color: var(--light-grey);
    border:none;
    width:80%;
    height:1px;
    margin:2.5rem auto;
}


/* MARGES & PADDING */

.w-30p{
    width:30px;
    display: inline-block;
}
.w-60p{
    width:60px;
    display: inline-block;
}
.w-85p{
    width:85px;
    display: inline-block;
}
.w-120p {
    width: 120px;
    display: inline-block;
}


/* ELEMENTS */

.borderRight{
    background-image: url(Images/pixelLightGrey.png);
    background-repeat:no-repeat;
    background-size:1px 90%;
    background-position:right center;
}
.borderBottom{
    border-bottom:1px solid var(--light-grey);
}
.btnAction{
    text-align:right;
    color: var(--light-color);
    font-family: var(--sans-serif-cd);
}
.titledBlock .head i, .quoteLine i{
    color: var(--light-color);
}
    .btnAction:hover, .titledBlock .head i:hover, .titledBlock .head .fa-stack.fa-xs:hover {
        color: var(--dark-color);
        transition: all ease-in-out 0.2s;
    }
.btn, button.btn{
    padding:10px 15px;
    display:inline-block;
    border:none;
    font-family:var(--sans-serif);
}
.btn-group-sm > .btn, .btn-sm {
    padding: .25rem .5rem !important;
}
.btn-primary, button.btn-primary{
    background:var(--light-color);
    color:var(--white);
}
.btn-primary:hover, button.btn-primary:hover{
    background:var(--color);
    transition:all ease-in-out 0.2s;
    cursor:pointer;
}
.footerAction{
    text-align:right;
    color: var(--light-color);
    font-size:0.9rem;
    font-family: var(--sans-serif-cd);
    font-weight: 300;
}
    .footerAction > span:hover{
        color:var(--color);
        cursor:pointer;
    }
.fa-xs{
    font-size:0.6rem !important;
}
.fa-sm {
    font-size: 0.7rem !important;
}
.custom-control-input:checked ~ .custom-control-label::before {
    border-color: var(--color) !important;
    background-color: var(--color) !important;
}
/*.custom-control-input:required ~ .custom-control-label::before {
    background-color: var(--orange) !important;
}*/


  /* GED */

.gedFile{
    display:flex;
    flex-direction: column;
    align-items: center;
    padding: 0.5rem;
    width:200px;
    font-size:0.9rem;
    border-radius: 0.5rem;
}
.gedFile .fa-stack{
    margin:0 0 0 auto;
    color: transparent;
}
.gedFile:hover .fa-stack{
    color: var(--light-color);
    transition: all ease-in-out 0.5s;
}
.gedFile .fa-stack:hover{
    color: var(--text);
}
.gedFile > i{
    color: var(--light-color);
    font-size:2.5rem;
    padding:0.5rem 0;
}
.gedFile:hover{
    background-color: var(--pale-grey);
    transition: all ease-in-out 0.5s;
}


.arrowBack{
    color:var(--grey);
}
.arrowBack:hover{
    color:var(--dark-color);
    transition:all ease-in-out 0.5s;
}

.titledBlock{
    margin: 1.5rem 0 2.5rem 0;
}
    .titledBlock .head {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        color: var(--dark-color);
        font-weight: 300;
    }
        .titledBlock .head .fa-stack.fa-xs {
            font-size: 0.5rem;
        }
.lightBlock {
    background-color: var(--pale-grey);
    border: 1px solid var(--light-grey);
    margin-top: 5px;
    padding: 0.75rem;
}
.lightBlock .lightLabel{
    color: var(--color);
    font-size:0.9rem;
    /*display:inline-block;*/
    font-family: var(--sans-serif-cd);
    font-weight: 300;
}
.lightBlock .head{
    color: var(--dark-color);
    font-weight: 900;
    font-size:0.9rem;
    margin-bottom:1rem;
}
.lightBlock .quoteLine {
    align-items: center;
    display: flex;
    justify-content: space-between;
}
.quoteLine p{
    margin-bottom:.5rem;
}
.overLine{
    display:flex;
    justify-content:space-between;
    align-items:flex-end;
    flex-grow: 1;
    padding:3px;
}
.overLine:hover{
    background-color:white;
    cursor: pointer;
}
.overLine.active{
    color:var(--light-color);
}
.lightBlock .grid2Col{
    grid-gap:0;
    grid-column-gap: 0.75rem;
    align-content: flex-start;
}
.imgContact{
    border-radius: 50%;
    border:1px solid var(--grey);
    width:50px;
}


/* FORMULAIRES */

.inputLabel{
    text-transform:uppercase;
    font-size:0.8rem;
    color: var(--dark-color);
}
input, select {
    width: 100%;
    padding:8px 12px;
    margin:0 0 1rem 0;
    box-sizing: border-box;
    border: 1px var(--light-grey) solid;
    font-family:var(--sans-serif) !important;
    font-size:1rem;
}
input:focus{
    border-color: var(--color);
}
.custom-control-label::before, .custom-control-label::after {
    top: 0 !important;
    width: 1.25rem !important;
    height: 1.25rem !important;
}



/* TABLES */
.table td, .table th {
    border-top: none !important;
    border-bottom: 1px solid var(--light-grey);
}

table.tableAppli {
    width: 100%;
    border-collapse: collapse;
    border-top:none;
}
table.tableAppli tr{
    background-color:var(--pale-grey);
    border-left: 1px solid var(--light-grey);
    border-right: 1px solid var(--light-grey);

}
    table.tableAppli tr:first-child, table.tableAppli tr:first-child:hover {
        background-color: unset;
        border-left: none;
        border-right: none;
    }
table.tableAppli tr:hover{
    background-color:var(--white);
    cursor:pointer;
}
table.tableAppli th {
    color: var(--dark-color);
    font-weight: 300;
    text-align: left;
    border-bottom: 1px solid var(--light-grey);
    padding: 8px 12px;
}
table.tableAppli td {
    padding: 16px 12px;
    border-bottom: 1px solid var(--light-grey);
}
table.tableAppli a{
    display:block;
}


/* HEAD */

.header{
    height:40px;
    background: var(--white);
    box-shadow:rgba(0,0,0,0.2) 0 6px 20px;
    position:relative;
    z-index:999;
}
.mainMenu{
    font-size: 1.2rem;
    display:flex;
    justify-content:space-around;
    margin:0;
    padding:0;
    color: var(--dark-color);
    height:44px;
    align-items: flex-end;
    font-weight:300;
}
.mainMenu a{
    text-transform: uppercase;
    color: var(--dark-color);
}
.mainMenu a:hover{
    text-decoration: none;
    color:var(--dark-color);
}
    .mainMenu .menuItem hr{
        height:8px;
        width: 0;
        color:transparent;
        border:none;
        margin:10px auto 0 auto;
    }
    .mainMenu .menuItem.active hr, .mainMenu .menuItem:hover hr{
        background-color: var(--dark-color);
        transition:all ease-in-out 0.3s;
        width:60%;
    }

    /* SUB MENU */
.subMenu {
    margin: 0 0 -20px 0;
    padding: 0;
    display: flex;
    justify-content: space-between;
}
.subMenu .menuItem{
    background-color: var(--light-color);
    padding:6px 4px;
    font-weight:300;
    margin:0 2px;
    flex:1 1 auto;
    text-align:center;
    color: var(--white);
}
.subMenu .menuItem a:link, .subMenu .menuItem a:visited{
    color: var(--white);
}
    .subMenu .menuItem.active{
        background-color: var(--color);
        font-weight:500;
    }
    .subMenu .menuItem:hover {
        background-color: var(--color);
        cursor: pointer;
        transition: all ease-in-out 0.3s;
    }
    .subMenu .menuItem.Important {
        background-color: var(--orange);
        color: black;
    }
        .subMenu .menuItem.Important.active{
            background-color: var(--red);
            font-weight: 500;
            color: black;
        }
        .subMenu .menuItem.Important:hover {
            background-color: var(--red);
            transition: all ease-in-out 0.3s;
            cursor: pointer;
            color: black;
        }


/* CONTENT */
.flexBetween {
    display: flex;
    justify-content: space-between;
    flex-wrap:wrap;
    align-items: center;
}
.content {
    display: grid;
    grid-template-columns: 25% 25% 25% 25%;
    grid-gap: 0;
    grid-template-rows: auto 100%;
}
.item{
    padding:20px 40px;
}
.span3{
    grid-column: span 3;
}
.greyBlock{
    background-color:var(--medium-grey);
}
.span2, .span2-3 {
    grid-column: span 2;
}
.rowTotal{
    grid-row: 1 / 3;
}
.grid3Col{
    display: grid;
    grid-template-columns: auto auto 33.33%;
    grid-gap: 1rem;
}


/* EDITION */
.edit{
    background-color:rgba(0,0,0,0.5);
    position: absolute;
    top:0px;
    right:0;
    bottom:0;
    left:0;
    z-index:999;
}
.editionScreen {
    background-color: var(--white);
    position: absolute;
    box-shadow: rgba(0,0,0,0.2) -6px 0 20px;
    transition: all ease-in-out 0.3s;
    top: 0;
    right: 0;
    bottom: 0;
    left: auto;
    padding: 20px 30px;
    min-width: 500px;
    overflow: auto;
}
.editionScreenLarge {
    background-color: var(--white);
    position: absolute;
    box-shadow: rgba(0,0,0,0.2) -6px 0 20px;
    transition: all ease-in-out 0.3s;
    top: 0;
    right: 0;
    bottom: 0;
    left: 20%;
    padding: 40px 60px;
    min-width: 500px;
    overflow: auto;
}
.closeButton{
    color:var(--color);
}
.closeButton:hover{
    color:var(--dark-color);
}
.grid2Col {
    display: grid;
    grid-template-columns: auto auto auto auto;
    grid-gap: 0.4rem;
}
.grid4Col {
    display: grid;
    grid-template-columns: auto auto auto auto auto auto auto auto;
    grid-gap: 1.5rem;
}
.spanTotal{
    grid-column: 1 / 5;
}
.editionScreen .inputLabel{
    margin:auto 0;
}
.editionScreen input[type=text], select {
    margin:0;
}
.champCourt{
    width:100px !important;
}
.editionScreen p.spanTotal{
    border-bottom:1px solid var(--light-grey);
}

.ng-invalid-required {
    border-left: 5px solid var(--orange);    
}
ng-form.ng-invalid-required {
    border-left: none;
}



/* DEVIS */
.row{align-items:center;}
.b-lvl1 ul, .b-lvl1 li{margin: 0;padding:0; list-style: none;}
.tree-sub-list li{padding-left:1rem;}
.tree-sub-sub-list{padding-left:2rem;}
.lot-active{background:var(--white);border:1px solid var(--grey);padding:1rem;margin-bottom:1rem;}
.btn.dropdown-toggle{padding:0;}
.lot .dropdown-menu {
    color: var(--color);
    background-color: var(--pale-grey);
    border:none;
    box-shadow: 0px 5px 5px rgba(0,0,0,0.2);
}
.tranche{
    font-size:0.9rem;
    margin-left:1rem;
}
.ligne-active{
    background-color: var(--pale-grey);
}

.border-left-2ATS {
    border-left: solid 7px green;
}
.border-left-VIDI {
    border-left: solid 7px orange;
}